ReflectionObject::__construct
ReflectionParameter
ReflectionObject
PHP Manual

# ReflectionObject::export

(PHP 5)

ReflectionObject::export — Export

### Description

public static string ReflectionObject::export ( string `$argument` [, bool `$return` ] )

Exports a reflection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`argument`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `TRUE`, then the export is returned as a string , otherwise `NULL` is returned.

### See Also

- ReflectionObject::__construct - Constructs a ReflectionObject

ReflectionObject::__construct
ReflectionParameter
ReflectionObject
PHP Manual